/* the cfg.db routines are basically for storing history information --
 * i.e., the settings default to the last settings used, a command
 * history is stored, and so on. This is not intended to be a user-set
 * configuration file. */
#include <cfg.h>

int LoadConfigDB(char *name);
int UnloadConfigDB();
int CreateProfile(int table, void *data);
int UpdateProfile(int table, void *id);
int GetProfile(int table, void *id, void *dest);
int LoadProfile(int table, void *id);
int DeleteProfile(int table, void *id);

int AddHistCmd(int id, char *cmd);
int GetHistCmd(char *buf);
